Subject: Ticket Assigned - Returns
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Sat, 10 Jul 2021 08:17:50 +0000

Hi Ali Atef,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have been requesting for a return pick up of my items since last week, orser number 9674252685 .I have contacted the call center every single day since then as I am going to travel and still until now no one picked up the items. Today I called and I was promised that the courier is on his way to pick up the items, I wasted my whole day on waiting for the courier to arrived. This service is simply unacceptable. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2831461